- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Interfaces::TimedTaskFactory Class Reference

`#include <TimedTaskFactory.h>`

Inheritance diagram for Mers::Interfaces::TimedTaskFactory:

[legend]
Collaboration diagram for Mers::Interfaces::TimedTaskFactory:

[legend]
List of all members.

## Public Member Functions
| TimedTaskFactory ()
virtual | ~TimedTaskFactory ()
virtual ::Mers::Utils::Containers::SharedPointer< TimedTask > | createTask (const std::string &taskName)=0
virtual ::Mers::Utils::Containers::SharedPointer< TimedTask > | createTask (const std::string &taskName, std::vector< std::string * > const &parameters)=0
virtual ::Mers::Utils::Containers::SharedPointer< TimedTask > | createTask (const std::string &taskName, Mers::Utils::Lang::Time const &start, Mers::Utils::Lang::Time const &duration)=0
virtual ::Mers::Utils::Containers::SharedPointer< TimedTask > | createTask (const std::string &taskName, std::vector< std::string * > const &parameters, Mers::Utils::Lang::Time const &start, Mers::Utils::Lang::Time const &duration)=0
## Protected Attributes
::Mers::Utils::Lang::Time | mStart
| The default start time.
::Mers::Utils::Lang::Time | mDuration
| The default duration.

## Detailed Description

This class provides means for creating TimedTasks. This class serves the purpose of a factory.

Author:
  Paul H. Elliott

Definition at line 34 of file TimedTaskFactory.h.

## Constructor & Destructor Documentation

TimedTaskFactory::TimedTaskFactory | ( |  | ) |

Creates a new TaskFactory

Definition at line 26 of file TimedTaskFactory.cpp.

TimedTaskFactory::~TimedTaskFactory | ( |  | ) | `[virtual]`

Destroys this object.

Definition at line 33 of file TimedTaskFactory.cpp.

## Member Function Documentation

virtual ::Mers::Utils::Containers::SharedPointer< TimedTask > Mers::Interfaces::TimedTaskFactory::createTask | ( | const std::string & | taskName | ) | `[pure virtual]`

Creates a new TimedTask that can be later referenced. The timed task uses the default time bounds.

Parameters:

  | taskName | The name of the task that should be created.

Referenced by Mers::Interfaces::TimedExecutionInterface::createTask().

virtual ::Mers::Utils::Containers::SharedPointer< TimedTask > Mers::Interfaces::TimedTaskFactory::createTask | ( | const std::string & | taskName,
|  | std::vector< std::string * > const & | parameters |
| ) |  |  | `[pure virtual]`

Creates a new Task that can be later referenced. The timed task uses the default time bounds.

Parameters:

  | taskName | The name of the task that should be created.
  | parameters | The parameters of this task.

virtual ::Mers::Utils::Containers::SharedPointer< TimedTask > Mers::Interfaces::TimedTaskFactory::createTask | ( | const std::string & | taskName,
|  | Mers::Utils::Lang::Time const & | start,
|  | Mers::Utils::Lang::Time const & | duration |
| ) |  |  | `[pure virtual]`

Creates a new Task that can be later referenced.

Parameters:

  | taskName | The name of the task that should be created.
  | start | The time at which the task started or starts.
  | duration | The duration of the task.

virtual ::Mers::Utils::Containers::SharedPointer< TimedTask > Mers::Interfaces::TimedTaskFactory::createTask | ( | const std::string & | taskName,
|  | std::vector< std::string * > const & | parameters,
|  | Mers::Utils::Lang::Time const & | start,
|  | Mers::Utils::Lang::Time const & | duration |
| ) |  |  | `[pure virtual]`

Creates a new Task that can be later referenced.

Parameters:

  | taskName | The name of the task that should be created.
  | parameters | The parameters of this task.
  | start | The time at which the task started or starts.
  | duration | The duration of the task.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Interfaces/TimedTaskFactory.h
- /Users/fpy/titan-1-5-MBARI/Mers/Interfaces/TimedTaskFactory.cpp